Subject: bug#11879: 24.1.50; delete-trailing-whitespace now removes empty lines at end of file

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Jul 2012 18:31:46 -0400

>> This appeared during the Emacs 24 feature freeze, I don't see why.
>> I suggest using an optional prefix argument to control this.
> Why not treat it as an annoying regression, which it is?

I can't remember the exact details, but I do remember it being
introduced on purpose (tho the purpose might not have justified it).
I think it was judged that a new custom var for it or a new function was
not needed.

And, while there is a change, I haven't yet seen a clear argument that
this change is a problem.

        Stefan